/*
    BOOTSTRAP Correction
*/

.placeholder {
    background-color: unset;
}
.text-accent {
    color: var( --color-accent) !important;
}


.badge-gradient-primary {
    background: linear-gradient(135deg, #687cfe 0%, #3cd188 100%);
}

.card-title {
    color:var(--color-heading) !important;
    overflow-wrap: break-word;
}

.form-control {
    border-radius: 0px;
    min-width: 50px;
}

.cursor-pointer {
    cursor: pointer;
}

.fs-12 {
    font-size: 12px !important;
}

.fs-14 {
    font-size: 14px !important;
}

.fs-16 {
    font-size: 16px !important;
}

.fs-18 {
    font-size: 18px !important;
}

.fs-20 {
    font-size: 20px !important;
}

.ellipsis {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.form-check-input:checked {
    background-color: var(--link-color);
    border-color: var(--link-color);
}

.select-none {
    -webkit-user-select: none;
    -ms-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.spinner-border.text-primary {
    color: var(--link-color) !important;
}


.user-menu li a,
.user-menu li a:focus {
    display: block;
    padding: 10px 20px !important;
}

.user-menu {
    color: var(--color-nav);
    font-size: 14px;
    font-family: var(--nav-font);
    font-weight: 600;
    align-items: center;
    justify-content: space-between;
    white-space: nowrap;
    transition: 0.3s;
    position: relative;
    text-transform: uppercase
}

div.user-menu .dropdown-menu{
    margin-top: 20px !important;

}

.user-menu a {
    font-size: 14px;
    text-transform: none;
}

.user-menu a i.toggle-dropdown {
    font-size: 12px;
    line-height: 0;
    width: 30px;
    height: 30px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: 0.3s;
    background-color: 

    color-mix(in srgb, var(--color-accent), transparent 90%);
}

div:not(.GIMIMGeditor) .btn:not(label) {
    min-width: 80px;
}

.trumbowyg-box .trumbowyg-editor {

    font-weight: 500; /* Напівжирний текст */
    height: 300px;
    background-color: white;
}

.trumbowyg-editor-box {
    background-color: white;
}

.trumbowyg-box .trumbowyg-editor p{
    font-size: 16px;
} 

.trumbowyg-box .trumbowyg-editor h2 { font-size: 32px;}
.trumbowyg-box .trumbowyg-editor h3 { font-size: 28px;}
.trumbowyg-box .trumbowyg-editor h4 { font-size: 24px;}
.trumbowyg-box .trumbowyg-editor h5 { font-size: 20px;}

.trumbowyg-box .trumbowyg-editor h2,
.trumbowyg-box .trumbowyg-editor h3,
.trumbowyg-box .trumbowyg-editor h4,
.trumbowyg-box .trumbowyg-editor h5 {
    font-weight: unset !important;
    text-transform: none;
    color: var(--color-default);
    
}

.trumbowyg-button-pane {
    background: unset;
}

.contractors .content h2,
.contractors .content h3,
.contractors .content h4,
.contractors .content h5{
    color: var(--color-default);
}

.contractors .content p {
    font-size: 16px;
    margin-bottom: 10px;
    color: var(--color-default)
}

.case-content p {
    font-size: 16px;
    margin-bottom: 10px;
}

.accordion-item .accordion-header .accordion-button {
    padding-right: 30px;
}
.accordion-item {
    transition: all 0.5s ease;
}
.accordion-item:hover .accordion-header,
.accordion-item:hover {
    box-shadow: 1px 1px 10px rgba(0,0,0,0.1);
}

.accordion-item  .php-email-form {
    border: none;
    border-radius: unset;
}

.accordion-button::after {
    margin-left: 10px;
} 

.card-title.title-contractor,
.card-title.title-project {
    font-size: 20px;
    font-weight: 600;
}

.navmenu ul {
    list-style-type: none !important;
     
    margin: 0;
}

.mobile-menu-logo {
    bottom: 20px;
    position: absolute;
    max-width: 150px;
    right: 20px;
}

/*
    MAIN PAGE
*/

.tab-content p {
    font-weight: 500;
    font-size: 18px;
}

.features .accordion-item:hover .accordion-header,
.accordion-item:hover {
    box-shadow: unset;
}

.features .accordion-button {
    font-size: 22px;
    display: flex;
    justify-content: space-between;
}

.features .accordion-header {
    padding: 15px 5px;
}

.features .accordion-body {
    font-size: 18px;
    font-weight: 500;
}

.features .tab-pane h5 {
    font-size: 22px;
    font-weight: 600;
    margin-top: 15px;
}

.features .tab-pane h3{
    padding-bottom: 0px;
}

.features .tab-pane h3::after {
    display: none;
}

.features .nav-link {
    text-transform: uppercase;
    font-size: 22px;
}

/*
    PAYMENTS TABLE
*/

table.payments thead td{
    padding: 10px 20px;
    margin-bottom: 2px;
    font-size: 14px;
    font-weight: 700;
    text-transform: uppercase;
    color: var(--color-findbtn);
}

table.payments tbody td{
    padding: 10px 20px;
    font-size: 14px;
    font-weight: 500;
}

@media (max-width:540px) {
    table.payments thead td{
        padding: 5px 5px;
    }

    table.payments tbody td{
        padding: 5px 5px;
    }
} 

.close-subscription {
    color: var(--link-color);
    font-weight: 400;
    font-size: 12px;
}

/*
    FEATURES
*/
  
.features .nav {
    border-radius: 5px;
    padding: 20px;
    box-shadow: 1px 1px 20px rgba(0, 0, 0, .05);
    background: rgba(255, 255, 255, 0.95);
    position: sticky;
    top: 100px;
    z-index: 10;
}

.features .tab-content {
    scroll-margin-top: 220px;
}

.features img.man {
    position: sticky; 
    top: 210px;
}



/*
    GEO
*/

i.geo {
    color: var(--color-accent);
    font-size: 24px;
}

a.geo {
    font-size: 18px;
    font-weight: 600;
    color:white;
}

/*
    SCROLL
*/

::-webkit-scrollbar {
    width: 7px; 
    height: 7px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--color-findbtn);
    border-radius: 20px;
}

/*
  SPINER AND BLOCK MODULES CSS
*/
.spinner-container {
    width:100%;
    padding:50px;
    text-align: center;
}

.lock-container {
    z-index: 900;
    width: 100%;
    top: 0px;
    left: 0px;
    position: absolute;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    
    backdrop-filter: blur(2px);
}

[data-bs-theme=light] .lock-container {  background: rgba(255, 255, 255, 0.5);}
[data-bs-theme=dark]  .lock-container {  background: rgba(0, 0, 0, 0.5); }

.lock-container .text-primary{
    color:var(--link-color) !important
}

/*
    Hero form
*/

.hero-form {
    width: 600px;
}

@media (min-width:768px) {
    .hero-form {
        width:600px;
    }
}

@media (max-width:580px) {
    .hero-form {
        width:300px;
    }
}


/*
    Filter Block
*/

.btn-filter {
    color: var(--color-contrast);
    background: var(--color-accent);
    border: 0;
    padding: 10px 30px;
    transition: 0.4s;
    border-radius: 4px;
}

.btn-filter:hover {
    background: color-mix(in srgb, var(--color-accent), transparent 20%);
    color: var(--color-contrast);

}

.btn-green {
    color: var(--color-contrast);
    background: var(--color-hero-btn1);
    border: 0;
    padding: 10px 30px;
    transition: 0.4s;
    border-radius: 4px;
}

.btn-green:hover {
    background: color-mix(in srgb, var(--color-hero-btn1), transparent 20%);
    color: var(--color-contrast);

}


.filter-topbar {
    position: absolute;
    right: 10px;
    top:10px;
}

.sticky-allow .filter-sticky {
    position: sticky !important;
    top:120px;
}

.offcanvas .widgets-container {
    border: unset;
    padding: 10px;
}

.offcanvas .widgets-container .bi-pin-angle-fill {
    display: none;
}

/*
    Menu Correct
*/

.login img.google {
    border-radius: 50%;
    width: 40px;
    margin-right: 5px;
}

.login>ul>li>a.google:before {
    display: none;
}


/*
    pipsSlider
*/

.noUi-target {
    box-shadow: none;
    background-color: var(--color-accent);
    border-color: var(--link-colort);
}

.noUi-connect {
    background-color: var(--color-accent);
}

.noUi-horizontal {
    height: 6px;
}

.noUi-target {
    background: #FAFAFA;
    border-radius: 4px;
    border: 1px solid #D3D3D3;
    box-shadow: inset 0 1px 1px #F0F0F0,0 3px 6px -5px #BBB;
}

.noUi-target {
    position: relative;
}

.noUi-target, .noUi-target * {
    -webkit-touch-callout: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-user-select: none;
    -ms-touch-action: none;
    touch-action: none;
    -ms-user-select: none;
    -moz-user-select: none;
    user-select: none;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
 
*, *::before, *::after {
    box-sizing: border-box;
}

.noUi-touch-area {
    height: 100%;
    width: 100%;
}

.noUi-horizontal .noUi-handle {
    height: 16px;
    width: 16px;
    border-radius: 50%;
    right: -10px !important;
    top: -7px;
}

.noUi-handle {
    background: var(--color-accent);
    border: 2px solid var(--color-accent);
    box-shadow: none;
}

.noUi-handle:after, .noUi-handle:before {
    display: none;
    content: unset;
} 
.noUi-horizontal .noUi-tooltip {
    font-size: 14px;
    bottom:-10px;
    font-weight: 600;
}



 

/* 
    CHOICES
*/

.choices {
    border: 0px;
    margin: 0px;
    width: 100%;
}
 
.choices__list--dropdown, .choices__list[aria-expanded] {
    z-index: 901;
}

.choices__list--dropdown .choices__list, .choices__list[aria-expanded] .choices__list{
        max-height: 200px;
}
 
.choices__list--single .choices__item,
.choices__list--dropdown .choices__item, .choices__list[aria-expanded] .choices__item,
.choices__list--dropdown .choices__item--selectable.is-highlighted, 
.choices__list[aria-expanded] .choices__item--selectable.is-highlighted {
    font-weight: 600;
    color: var(--color-default);
    text-align: left;
}

.hero .choices__list--single .choices__item,
.hero .choices__list--dropdown .choices__item, .choices__list[aria-expanded] .choices__item,
.hero .choices__list--dropdown .choices__item--selectable.is-highlighted, 
.hero .choices__list[aria-expanded] .choices__item--selectable.is-highlighted {
    color: #1f1f1f;
    background-color: unset;
}


.choices__list--multiple .choices__item {
    background: var(--link-color);
    border-radius: 4px;
    border-color: var(--link-color);
    color: white!important;
}

.choices__list--multiple .choices__item.is-highlighted {
    background: var(--color-findbtn);
    border-color: var(--color-findbtn);
  

}


.choices__inner .choices__list .choices__item.choices__placeholder{

   font-size: 14px;
    font-weight: 100;
    box-shadow: none;
    border-radius: 0;
    color: var(--color-default);

    border-color: color-mix(in srgb, var(--color-default), transparent 70%);


}

.choices__inner .choices__list .choices__item:not(.choices__item--selectable) {
    color: var(--color-default);
}

/*
.choices__input::placeholder,
.choices__input.choices__input--cloned::placeholder,
.choices__inner .choices__list .choices__item.choices__placeholder,
input::placeholder {
    color: red !important;
    font-weight: 300 !important;
    
}
*/
input::placeholder {
    font-weight: 500 !important;
}
.choices__input,
.choices__inner {
    font-weight: 300 !important;
    background-color: white;
}

.choices__input::placeholder{
    color: #888 !important;
    font-weight: 400 !important;
}

 


/* Плейсхолдер у режимі single select */
.choices__inner .choices__list .choices__item.choices__placeholder {
    color: #444 !important;
    font-weight: 400 !important;
}

 



/*--------------------------------------------------------------
# Form Element Correction
--------------------------------------------------------------*/
 
.GIMDlgForm label,
.offcanvas label,
.contractors label {
    margin-bottom: 2px;
    font-size: 12px;
    font-weight: 700;
    text-transform: uppercase;
    color:var( --color-findbtn);
}

.contractors label p {
    font-weight: 400;
}




/*--------------------------------------------------------------
# GIMIMGeditor Correction
--------------------------------------------------------------*/

.GIMIMGeditor .btn-success {
    background-color: var(--link-color);
    border-color: var(--link-color);
    border-radius: 4px;
}



.GIMIMGeditor label,
.GIMIMGeditor label:hover {
    border-color: var(--color-accent) !important;
    color: var(--color-accent) !important;
    font-weight: 600;
    margin: 0px 3px;
    font-size: 14px;
    min-width: unset !important;
}



.bg-info-subtle {
    /*background-color:  rgba(var(--color-accent-rgb), 1) !important;*/
    background-color: white !important;
}
/*
.bg-info-subtle h5 {
    color:white !important; 

}

.bg-info-subtle .btn-close {
    filter: invert(1);
}

*/

.btn-check:checked+.btn, 
.btn.active, 
.btn.show, 
.btn:first-child:active, 
:not(.btn-check)+.btn:active {
    background-color: var(--color-accent);
    border-color: var(--color-accent);
    color:white !important
}

.btn-group>.btn:nth-child(n+3), .btn-group>:not(.btn-check)+.btn {
    border-color: var(--color-accent);
    color: var(--color-accent);
}

.GIMDlgConfirm .btn{
    border-radius: 4px;
}

.GIMDlgConfirm h4 {
    padding-left: 10px;
    padding-top: 15px;
    margin-bottom: 5px;
    font-size: 20px;
}

.GIMDlgConfirm p {
    padding-left: 10px;
    font-size: 14px;
}
 


/*--------------------------------------------------------------
# Catalogs Section
--------------------------------------------------------------*/
.catalog-details {
    padding-bottom: 30px;
}

.catalog-details .article {
    padding: 30px;
    box-shadow: 0 4px 16px color-mix(in srgb, var(--color-default), transparent 90%);
}

.catalog-details .post-img {
    margin: -30px -30px 20px -30px;
    overflow: hidden;
}

.catalog-details .title {
    color: var(--color-heading);
    font-size: 28px;
    font-weight: 700;
    padding: 0;
    margin: 30px 0;
}

.catalog-details .content {
    margin-top: 20px;
}

.catalog-details .content h3 {
    font-size: 22px;
    margin-top: 30px;
    font-weight: bold;
}

.catalog-details .content blockquote {
    overflow: hidden;
    background-color: color-mix(in srgb, var(--color-default), transparent 95%);
    padding: 60px;
    position: relative;
    text-align: center;
    margin: 20px 0;
}

.catalog-details .content blockquote p {
    color: var(--color-default);
    line-height: 1.6;
    margin-bottom: 0;
    font-style: italic;
    font-weight: 500;
    font-size: 22px;
}

.catalog-details .content blockquote:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 3px;
    background-color: var(--color-accent);
    margin-top: 20px;
    margin-bottom: 20px;
}

.catalog-details .meta-top {
    margin-top: 20px;
    color: color-mix(in srgb, var(--color-default), transparent 40%);
}

.catalog-details .meta-top ul {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    align-items: center;
    padding: 0;
    margin: 0;
}

.catalog-details .meta-top ul li+li {
    padding-left: 20px;
}

.catalog-details .meta-top i {
    font-size: 16px;
    margin-right: 8px;
    line-height: 0;
    color: color-mix(in srgb, var(--color-default), transparent 40%);
}

.catalog-details .meta-top a {
    color: color-mix(in srgb, var(--color-default), transparent 40%);
    font-size: 14px;
    display: inline-block;
    line-height: 1;
}

.catalog-details .meta-bottom {
    padding-top: 10px;
    border-top: 1px solid color-mix(in srgb, var(--color-default), transparent 90%);
}

.catalog-details .meta-bottom i {
    color: color-mix(in srgb, var(--color-default), transparent 40%);
    display: inline;
}

.catalog-details .meta-bottom a {
    color: color-mix(in srgb, var(--color-default), transparent 40%);
    transition: 0.3s;
}

.catalog-details .meta-bottom a:hover {
    color: var(--color-accent);
}

.catalog-details .meta-bottom .cats {
    list-style: none;
    display: inline;
    padding: 0 20px 0 0;
    font-size: 14px;
}

.catalog-details .meta-bottom .cats li {
    display: inline-block;
}

.catalog-details .meta-bottom .tags {
    list-style: none;
    display: inline;
    padding: 0;
    font-size: 14px;
}

.catalog-details .meta-bottom .tags li {
    display: inline-block;
}

.catalog-details .meta-bottom .tags li+li::before {
    padding-right: 6px;
    color: var(--color-default);
    content: ",";
}

.catalog-details .meta-bottom .share {
    font-size: 16px;
}

.catalog-details .meta-bottom .share i {
    padding-left: 5px;
}

/*
    MY BLOCKS
*/

.my-links a {
    display: inline-block;
    padding: 5px 15px;
    margin-right: 5px;
    margin-bottom: 10px;
    border: 1px solid #ddd;
    border-radius: 20px;
    transition: all 0.5s ease;
    cursor: pointer;
    font-size: 12px;
}

.my-links a.active {
    background-color: var(--link-color);
    border-color: var(--link-color);
    color: white;
}


/*
    ACCORDION MY PORTFOLIO
*/

.acc-my-rpoject .accordion-item {
    /*
    border: 1px solid var(--link-color) ;
    border-left-width: 3px;
    */
    border: 1px solid #ddd;
    overflow: hidden;
    border-radius:  5px !important;
}

.acc-my-rpoject .accordion-button:not(.collapsed) {
    border-radius: 0px !important;
    background-color: var(--link-color);
    color: white;
} 

.acc-my-rpoject .accordion-button:not(.collapsed)::after {
    filter: invert(1);
}


.accordion-button.no-background:not(.collapsed) {
    color:var(--link-color);
    background-color: unset;
}








/*
  GOOGLE BUTTON STYLE
*/

.gsi-material-button {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -webkit-appearance: none;
    background-color: WHITE;
    background-image: none;
    border: 1px solid #747775;
    -webkit-border-radius: 20px;
    border-radius: 20px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    color: #1f1f1f;
    cursor: pointer;
    font-family: 'Roboto', arial, sans-serif;
    font-size: 14px;
    height: 40px;
    letter-spacing: 0.25px;
    outline: none;
    overflow: hidden;
    padding: 0 12px;
    position: relative;
    text-align: center;
    -webkit-transition: background-color .218s, border-color .218s, box-shadow .218s;
    transition: background-color .218s, border-color .218s, box-shadow .218s;
    vertical-align: middle;
    white-space: nowrap;
    width: auto;
    max-width: 400px;
    min-width: min-content;
  }
  
  .gsi-material-button .gsi-material-button-icon {
    height: 20px;
    margin-right: 12px;
    min-width: 20px;
    width: 20px;
  }
  
  .gsi-material-button .gsi-material-button-content-wrapper {
    -webkit-align-items: center;
    align-items: center;
    display: flex;
    -webkit-flex-direction: row;
    flex-direction: row;
    -webkit-flex-wrap: nowrap;
    flex-wrap: nowrap;
    height: 100%;
    justify-content: space-between;
    position: relative;
    width: 100%;
  }
  
  .gsi-material-button .gsi-material-button-contents {
    -webkit-flex-grow: 1;
    flex-grow: 1;
    font-family: 'Roboto', arial, sans-serif;
    font-weight: 500;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: top;
  }
  
  .gsi-material-button .gsi-material-button-state {
    -webkit-transition: opacity .218s;
    transition: opacity .218s;
    bottom: 0;
    left: 0;
    opacity: 0;
    position: absolute;
    right: 0;
    top: 0;
  }
  
  .gsi-material-button:disabled {
    cursor: default;
    background-color: #ffffff61;
    border-color: #1f1f1f1f;
  }
  
  .gsi-material-button:disabled .gsi-material-button-contents {
    opacity: 38%;
  }
  
  .gsi-material-button:disabled .gsi-material-button-icon {
    opacity: 38%;
  }
  
  .gsi-material-button:not(:disabled):active .gsi-material-button-state, 
  .gsi-material-button:not(:disabled):focus .gsi-material-button-state {
    background-color: #303030;
    opacity: 12%;
  }
  
  .gsi-material-button:not(:disabled):hover {
    -webkit-box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15);
    box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15);
  }
  
  .gsi-material-button:not(:disabled):hover .gsi-material-button-state {
    background-color: #303030;
    opacity: 8%;
  }

.horizontal-pricing h2 {
    font-weight: 700;
}

.horizontal-pricing img {
    padding: 0px 50px;
    max-width: 200px;
}

.horizontal-pricing h4 {
    font-size: 48px !important;
    font-weight: 600 !important;
    margin-bottom: 25px;
    text-align: center;
}

.horizontal-pricing h4 sup {
    font-size: 28px;
    color: var(--link-color);
}

.horizontal-pricing h4 span {
    color: rgba(108, 117, 125, 0.8);
    font-size: 18px;
}

.horizontal-pricing ul {
    padding: 20px 0;
    list-style: none;
    color: #6c757d;
    text-align: left;
    line-height: 20px;
}

.horizontal-pricing ul li {
    padding-top: 15px;
    display: flex;
    align-items: center;
}

.horizontal-pricing ul i {
    color: var(--link-color);
    font-size: 24px;
    padding-right: 3px;
}

.horizontal-pricing .card-item.invert {
    background-color: var(--link-color);
}

.horizontal-pricing .card-item.invert h2,
.horizontal-pricing .card-item.invert h4,
.horizontal-pricing .card-item.invert ul li {
    color: white;
}

.horizontal-pricing .card-item.invert h4 sup ,
.horizontal-pricing .card-item.invert  ul i  {
    color: #ddd;
}

.horizontal-pricing .card-item.invert h4 span {
    color: #eee;
}

.horizontal-pricing .card-item.invert .btn-hero-1 {
    border-color: white;
    background-color: white;
    color: var(--color-findbtn);
}

.horizontal-pricing .card-item.invert .btn-hero-1:hover {
    border-color: var(--color-findbtn);
}


/*
    OFF CANVAS CONTACT
*/

.fead-back ul {
    width: 100%;
}

.fead-back ul li a{
    padding: 10px 15px;
    font-weight: 500;
}

.fead-back ul li a:active {
    background-color: var(--link-color);
}

/*
    INFO PAGES
*/

.info-page h1 { font-size: 28px !important;}
.info-page h2 { font-size: 24px !important; margin-top: 10px; margin-bottom: 10px;}
.info-page h3 { font-size: 20px !important;}
.info-page h4 { font-size: 16px !important;}
.info-page h5 { font-size: 14px !important;}